Skip to navigation

Create a contact request custom form

View as Markdown
Create and configure a new custom contact request form for the specified directory. This will override the current form being used, if any.

Authentication

AuthorizationToken

Your API key, sent as Authorization: Token <your API key>

Path parameters

directoryIdstringRequiredformat: "uuid"
ID of the generic directory to configure the form for

Request

This endpoint expects an object.
titlestringRequired>=1 character
fieldslist of objectsRequired
groupslist of objectsOptional

Response

The new form was successfully created and set as active
titlestring
fieldslist of objects
isCustomboolean
groupslist of objectsOptional

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error